iir1: Iir::RBJ::LowPass Struct Reference

iir1

Public Member Functions | List of all members
Iir::RBJ::LowPass Struct Reference

`#include <RBJ.h>`

Inheritance diagram for Iir::RBJ::LowPass:

## Public Member Functions
void | setupN (double cutoffFrequency, double q=(1/sqrt(2)))
void | setup (double sampleRate, double cutoffFrequency, double q=(1/sqrt(2)))
Public Member Functions inherited from Iir::RBJ::RBJbase
template<typename Sample >
Sample | filter (Sample s)
| filter operation
void | reset ()
| resets the delay lines to zero
const DirectFormI & | getState ()
| gets the delay lines (=state) of the filter
Public Member Functions inherited from Iir::Biquad
complex_t | response (double normalizedFrequency) const
std::vector< PoleZeroPair > | getPoleZeros () const
double | getA0 () const
double | getA1 () const
double | getA2 () const
double | getB0 () const
double | getB1 () const
double | getB2 () const
template<class StateType >
double | filter (double s, StateType &state) const
void | setCoefficients (double a0, double a1, double a2, double b0, double b1, double b2)
void | setOnePole (complex_t pole, complex_t zero)
void | setTwoPole (complex_t pole1, complex_t zero1, complex_t pole2, complex_t zero2)
void | setPoleZeroPair (const PoleZeroPair &pair)
void | setIdentity ()
void | applyScale (double scale)

## Detailed Description

Lowpass.

## Member Function Documentation

## ◆ setup()

void Iir::RBJ::LowPass::setup | ( | double | sampleRate,
|  | double | cutoffFrequency,
|  | double | q = `(1/sqrt(2))`
| ) |  |
| inline

Calculates the coefficients

Parameters

  sampleRate | Sampling rate
  cutoffFrequency | Cutoff frequency
  q | Q factor determines the resonance peak at the cutoff.

## ◆ setupN()

void Iir::RBJ::LowPass::setupN | ( | double | cutoffFrequency,
|  | double | q = `(1/sqrt(2))`
| ) |  |

Calculates the coefficients

Parameters

  cutoffFrequency | Normalised cutoff frequency
  q | Q factor determines the resonance peak at the cutoff.

The documentation for this struct was generated from the following files:

- iir/RBJ.h
- iir/RBJ.cpp